import { EThemeGradients } from 'src/tokens/dion/tokens';
export declare enum EAvatarSize {
    XS = "xs",
    S = "s",
    M = "m",
    L = "l",
    XL = "xl",
    XXL = "xxl",
    XXXL = "xxxl"
}
export declare enum EAvatarVariant {
    ROUNDED = "rounded",
    SQUARE = "square"
}
export declare enum EAvatarColors {
    ERROR = "error",
    INFO = "info",
    SUCCESS = "success",
    WARNING = "warning",
    ELEVATION_0 = "elevation0",
    ELEVATION_1 = "elevation1",
    ELEVATION_2 = "elevation2",
    ELEVATION_3 = "elevation3",
    ON_BRAND = "onBrand",
    BRAND = "brand",
    BLUE_ELEVATION_1 = "blueElevation1",
    BLUE_ELEVATION_2 = "blueElevation2"
}
interface AvatarProps {
    size?: EAvatarSize;
    variant?: EAvatarVariant;
    gradient?: EThemeGradients;
    imageSrc?: string;
    desc?: string;
    color?: EAvatarColors;
    isOnline?: boolean;
    onClose?: () => void;
    isWaiting?: boolean;
    counter?: number;
}
declare const Avatar: (props: AvatarProps) => import("react/jsx-runtime").JSX.Element;
export default Avatar;
export type { AvatarProps };
