import React from 'react';
import type { BoxProps as MBoxProps, SxProps } from '@mui/material';
import { ExcludedProps } from 'shared/helpers';
import type { Theme, DionColors } from 'src/theme/';
type BoxSX = Omit<SxProps, ExcludedProps>;
type BoxProps = Omit<MBoxProps, 'sx' | 'color'> & {
    color?: DionColors;
    sx?: BoxSX;
    deprecatedSX?: SxProps;
    theme?: Theme;
};
declare const RefForwardedBox: React.ForwardRefExoticComponent<Omit<BoxProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export default RefForwardedBox;
export type { BoxProps };
