import { IconName } from '../Icon';
import { EButtonColors } from '../Button';
export declare enum EInputSize {
    L = "l",
    M = "m"
}
export declare enum EInputStatus {
    DEFAULT = "default",
    SUCCESS = "success",
    ERROR = "error",
    DISABLED = "disabled",
    READONLY = "readOnly"
}
type InputProps = {
    size?: EInputSize;
    status?: EInputStatus;
    placeholder?: string;
    label?: string;
    additionalText?: string;
    maxLength?: number;
    endIcon?: IconName;
    startIcon?: IconName;
    value?: string;
    width?: number;
    fullWidth?: boolean;
    onChange: (string: any) => void;
    iconOnClick?: () => void;
    color: EButtonColors;
};
declare const Input: (props: InputProps) => import("react/jsx-runtime").JSX.Element;
export default Input;
export { type InputProps };
