import React from 'react';
import { type IconName } from '../Icon';
import type { ThemeCommonColors } from "src/theme";
import type { ListItemProps as MListItemProps } from '@mui/material/ListItem';
export declare enum EListItemSize {
    M = "M",
    L = "L"
}
export declare enum EListItemControl {
    RADIO = "RADIO",
    CHECKBOX = "CHECKBOX"
}
interface ListItemProps extends MListItemProps {
    size?: EListItemSize;
    disabled?: boolean;
    title: string;
    subTitle?: string;
    startIcon?: IconName;
    endIcon?: IconName;
    control?: EListItemControl;
    checked?: boolean;
    active?: boolean;
    extraChild?: React.ReactNode;
    onClick?: () => void;
    onEndIconClick?: () => void;
    hMargin?: number;
    isHeader?: boolean;
    color?: ThemeCommonColors;
}
declare const ListItem: (props: ListItemProps) => import("react/jsx-runtime").JSX.Element;
export default ListItem;
export { type ListItemProps };
