import type { EnumOrLiteral } from "shared/types/custom";
import React from 'react';
import { EPlaceholderIconsNames } from '../LazyPlaceholderIcon';
declare enum EPlaceholderColors {
    ERROR = "error",
    INFO = "info",
    SUCCESS = "success",
    WARNING = "warning",
    ELEVATION_0 = "elevation0",
    ELEVATION_1 = "elevation1",
    ELEVATION_2 = "elevation2",
    ELEVATION_3 = "elevation3",
    BRAND = "brand",
    BLUE_ELEVATION_1 = "blueElevation1",
    BLUE_ELEVATION_2 = "blueElevation2"
}
export type PlaceholderProps = {
    /**
     * 'Attention' | 'Calendar' | 'Call' | 'Caution' | 'Chat' | 'Clipboard' | 'CommentColor' | 'CommentMono' | 'Conferences' | 'Empty'
     * 'Error' | 'Exit' | 'Favourite' | 'Firewall' | 'Images' | 'Journal' | 'Lock' | 'LockRed' | 'LockYellow' | 'Mail'
     * 'Maintenance' | 'Man' | 'NoDemonstration' | 'NotFound' | 'Pause' | 'Profiles' | 'Qr' | 'Quality' | 'Search' | 'Security'
     * 'Send' | 'Speaker' | 'Start' | 'Time' | 'Tv' | 'Upgrade' | 'Video' | 'Waiting' | 'WaitingYellow' | 'Woman'
     */
    icon?: EnumOrLiteral<EPlaceholderIconsNames>;
    title?: string;
    desc?: string | string[];
    controls?: React.ReactNode[] | React.ReactNode;
    color?: EPlaceholderColors;
};
declare const Placeholder: (props: PlaceholderProps) => import("react/jsx-runtime").JSX.Element;
export default Placeholder;
export { type PlaceholderProps, EPlaceholderColors, EPlaceholderIconsNames };
