import { TabProps as MTabProps } from '@mui/material/Tab';
import { type IconName } from '../Icon';
import { EPlaceholderColors } from '../Placeholder';
export declare enum ETabSize {
    L = "L",
    M = "M",
    S = "S"
}
export declare enum ETabVariants {
    HORIZONTAL = "horizontal",
    SHORT_HORIZONTAL = "shortHorizontal",
    VERTICAL = "vertical",
    SHORT_VERTICAL = "shortVertical"
}
type TabProps = Omit<MTabProps, "icon" | "iconPosition"> & {
    size?: ETabSize;
    startIcon?: IconName;
    counter?: number;
    bg?: EPlaceholderColors;
    tabVariant: ETabVariants;
};
declare const Tab: (props: TabProps) => import("react/jsx-runtime").JSX.Element;
export default Tab;
export type { TabProps };
