import { CssVarsThemeOptions } from '@mui/material/styles';
import { SupportedColorScheme } from '@mui/material/styles/experimental_extendTheme';
import type { CSSProperties } from '@mui/material/styles/createTypography';
import TOKENS from '../tokens/dion/tokens';
import type { TypographyVariantOverrides, DionColorGroups, DionColorNames, DionColors } from '../tokens/dion/tokens';
declare const dark: {
    color: {
        brand: {
            errorMain: string;
            disable: string;
            press: string;
            hover: string;
            transparent: string;
            accent: string;
            additional: string;
            lowContrast: string;
            contrast: string;
            dark: string;
            light: string;
            main: string;
        };
        blueElevation1: {
            status5: string;
            status4: string;
            status3: string;
            status2: string;
            status1: string;
            accent: string;
            additional: string;
            lowContrast: string;
            contrast: string;
            main: string;
        };
        blueElevation2: {
            status5: string;
            status4: string;
            status3: string;
            status2: string;
            status1: string;
            accent: string;
            additional: string;
            lowContrast: string;
            contrast: string;
            main: string;
        };
        onBrand: {
            transparent: string;
            accent: string;
            additional: string;
            lowContrast: string;
            contrast: string;
            main: string;
        };
        elevation0: {
            dark: string;
            light: string;
            main: string;
        };
        elevation1: {
            dark: string;
            light: string;
            main: string;
        };
        elevation2: {
            dark: string;
            light: string;
            main: string;
        };
        elevation3: {
            main: string;
        };
        transparent10: {
            main: string;
        };
        staticBlack80: {
            main: string;
        };
        staticBlack60: {
            main: string;
        };
        lines: {
            borderAccent: string;
            border: string;
            dividerBright: string;
            divider: string;
        };
        static: {
            darkLowContrast: string;
            dark: string;
            lightLowContrast: string;
            light: string;
        };
        common: {
            status5Contrast: string;
            status5Background: string;
            status5Content: string;
            status4Contrast: string;
            status4Background: string;
            status4Content: string;
            status3Contrast: string;
            status3Background: string;
            status3Content: string;
            status2Contrast: string;
            status2Background: string;
            status2Content: string;
            status1Contrast: string;
            status1Background: string;
            status1Content: string;
            infoContrast: string;
            infoBackground: string;
            infoContent: string;
            errorContrast: string;
            errorBackground: string;
            errorContent: string;
            warningContrast: string;
            warningBackground: string;
            warningContent: string;
            successContrast: string;
            successBackground: string;
            successContent: string;
            disableText: string;
            disable: string;
            transparent: string;
            focus: string;
            press: string;
            hover: string;
            lowAccent: string;
            accent: string;
            additional: string;
            lowContrast: string;
            contrast: string;
        };
        gradients: {
            mars: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            venus: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            neptune: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            mercury: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            earth: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            uranus: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            jupiter: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            moon: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            saturn: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
            pluto: {
                size: number;
                top: number;
                left: number;
                type: string;
                position: {
                    "1": number;
                    "2": number;
                    "3": number;
                };
                color: {
                    "1": string;
                    "2": string;
                    "3": string;
                };
            };
        };
        success: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        warning: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        error: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        info: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        status1: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        status2: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        status3: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        status4: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        status5: {
            contrast: string;
            dark: string;
            light: string;
            main: string;
            mainContent: string;
        };
        dionCommon: {
            status5Contrast: string;
            status5Background: string;
            status5Content: string;
            status4Contrast: string;
            status4Background: string;
            status4Content: string;
            status3Contrast: string;
            status3Background: string;
            status3Content: string;
            status2Contrast: string;
            status2Background: string;
            status2Content: string;
            status1Contrast: string;
            status1Background: string;
            status1Content: string;
            infoContrast: string;
            infoBackground: string;
            infoContent: string;
            errorContrast: string;
            errorBackground: string;
            errorContent: string;
            warningContrast: string;
            warningBackground: string;
            warningContent: string;
            successContrast: string;
            successBackground: string;
            successContent: string;
            disableText: string;
            disable: string;
            transparent: string;
            focus: string;
            press: string;
            hover: string;
            lowAccent: string;
            accent: string;
            additional: string;
            lowContrast: string;
            contrast: string;
        };
    };
    radius: {
        xxxxxl: number;
        xxl: number;
        xl: number;
        l: number;
        m: number;
        s: number;
        xs: number;
        xxs: number;
        none: number;
    };
    spacing: {
        general: {
            xxxxxl: number;
            xxxxl: number;
            xxxl: number;
            xxl: number;
            xl: number;
            l: number;
            m: number;
            s: number;
            xs: number;
            xxs: number;
            none: number;
        };
    };
    avatar: {
        letterCount: {
            xxxl: number;
            xxl: number;
            xl: number;
            l: number;
            m: number;
            s: number;
            xs: number;
        };
        variant: {
            rounded: {
                borderRadius: number;
            };
            square: {
                borderRadius: number;
            };
        };
        size: {
            avatar: {
                xxxl: number;
                xxl: number;
                xl: number;
                l: number;
                m: number;
                s: number;
                xs: number;
            };
            icon: {
                xxxl: string;
                xxl: string;
                xl: string;
                l: string;
                m: string;
                s: string;
                xs: string;
            };
        };
        typography: {
            xxxl: string;
            xxl: string;
            xl: string;
            l: string;
            m: string;
            s: string;
            xs: string;
        };
        controls: {
            waiting: {
                icon: string;
                size: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                border: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                iconSize: {
                    xxxl: string;
                    xxl: string;
                    xl: string;
                    l: string;
                    m: string;
                    s: string;
                    xs: string;
                };
            };
            counter: {
                size: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                typography: {
                    xxxl: string;
                    xxl: string;
                    xl: string;
                    l: string;
                    m: string;
                    s: string;
                    xs: string;
                };
                radius: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                border: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
            };
            online: {
                icon: string;
                size: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                border: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                iconSize: {
                    xxxl: string;
                    xxl: string;
                    xl: string;
                    l: string;
                    m: string;
                    s: string;
                    xs: string;
                };
            };
            close: {
                icon: string;
                border: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                size: {
                    xxxl: number;
                    xxl: number;
                    xl: number;
                    l: number;
                    m: number;
                    s: number;
                    xs: number;
                };
                iconSize: {
                    xxxl: string;
                    xxl: string;
                    xl: string;
                    l: string;
                    m: string;
                    s: string;
                    xs: string;
                };
            };
        };
    };
    border: {
        xl: number;
        l: number;
        m: number;
        s: number;
        xs: number;
    };
    button: {
        spacing: {
            xl: number;
            l: number;
            m: number;
            s: number;
            xs: number;
        };
        borderRadius: {
            xl: number;
            l: number;
            m: number;
            s: number;
            xs: number;
        };
        size: {
            xl: number;
            l: number;
            m: number;
            s: number;
            xs: number;
            icon: {
                xl: string;
                l: string;
                m: string;
                s: string;
                xs: string;
            };
            typography: {
                xl: string;
                l: string;
                m: string;
                s: string;
                xs: string;
            };
        };
    };
    buttonGroup: {
        spacing: {
            m: number;
        };
    };
    drawer: {
        borderRadius: {
            top: number;
        };
        spacing: {
            actionsBottomMargin: number;
            actionsTopMargin: number;
            subtitleTopMargin: number;
            titleBottomMargin: number;
            margin: number;
        };
    };
    icon: {
        size: {
            xxxxxl: number;
            xxxxl: number;
            xxxl: number;
            xxl: number;
            xl: number;
            l: number;
            m: number;
            s: number;
            xs: number;
            xxs: number;
            xxxs: number;
            xxxxs: number;
            xxxxxs: number;
        };
    };
    input: {
        padding: {
            m: {
                content: number;
                icon: number;
            };
            l: {
                content: number;
                icon: number;
            };
        };
        margin: {
            m: {
                bottom: number;
                top: number;
            };
            l: {
                bottom: number;
                top: number;
            };
        };
        borderRadius: {
            l: number;
            m: number;
        };
        size: {
            l: number;
            m: number;
        };
        typography: {
            m: {
                additional: string;
                mainText: string;
                placeholder: string;
                counter: string;
                label: string;
            };
            l: {
                additional: string;
                mainText: string;
                placeholder: string;
                counter: string;
                label: string;
            };
        };
    };
    placeholder: {
        subtitleMaxLength: number;
        subtitleMaxLines: number;
        titleMaxLength: number;
        titleMaxLines: number;
        maxWidth: number;
        minWidth: number;
        spacing: {
            paddingHMinPc: number;
            paddingHMinPx: number;
            contentHorizontalPadding: number;
            buttonPaddingBottom: number;
            subtitlePaddingBottom: number;
            titlePaddingBottom: number;
            iconPaddingBottom: number;
        };
    };
    popup: {
        size: {
            s: {
                minWidth: number;
                width: number;
                minHeight: number;
                maxHeight: number;
            };
            m: {
                minWidth: number;
                width: number;
                minHeight: number;
                maxHeightVh: number;
            };
        };
        spacing: {
            actionsTopMargin: number;
            subtitleTopMargin: number;
            titleBottomMargin: number;
            closeOffset: number;
            margin: number;
        };
    };
    radio: {
        borderRadius: number;
        size: {
            m: number;
            s: number;
            content: {
                m: number;
                s: number;
            };
        };
        typography: {
            m: string;
            s: string;
        };
    };
    scroll: {
        size: {
            m: number;
        };
        spacing: {
            sidePadding: number;
        };
    };
};
declare const THEME_PALETTE_DARK: {
    dionCommon: {
        contrastText: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        light: string;
        dark: string;
    };
    onBrand: {
        contrastText: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        contrastText: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        contrastText: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        contrastText: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    };
    divider: string;
    lines: {
        borderAccent: string;
        border: string;
        dividerBright: string;
        divider: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        light: string;
        dark: string;
    } | {
        borderAccent: string;
        border: string;
        dividerBright: string;
        divider: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        light: string;
        dark: string;
    } | {
        borderAccent: string;
        border: string;
        dividerBright: string;
        divider: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        light: string;
        dark: string;
    } | {
        borderAccent: string;
        border: string;
        dividerBright: string;
        divider: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        light: string;
        dark: string;
    };
    brand: {
        contrastText: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
    } | {
        contrastText: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
    } | {
        contrastText: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
    } | {
        contrastText: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
    };
    blueElevation1: {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    };
    blueElevation2: {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        status5: string;
        status4: string;
        status3: string;
        status2: string;
        status1: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        light: string;
        dark: string;
    };
    special: {
        contrastText: string;
        main: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        contrastText: string;
        main: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        contrastText: string;
        main: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        contrastText: string;
        main: string;
        errorMain: string;
        disable: string;
        press: string;
        hover: string;
        transparent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        dark: string;
        light: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        focus: string;
        lowAccent: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    };
    background: {
        default: string;
        paper: string;
    };
    elevation0: {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    };
    elevation1: {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    };
    elevation2: {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    } | {
        dark: string;
        light: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        contrastText: string;
        error: string;
        success: string;
        warning: string;
        info: string;
    };
    elevation3: {
        contrastText: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        light: string;
        dark: string;
    } | {
        contrastText: string;
        main: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
        contrast: string;
        light: string;
        dark: string;
    };
    error: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    success: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    warning: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    info: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    static: {
        darkMidContrast: any;
        lightMidContrast: any;
        darkLowContrast: string;
        dark: string;
        lightLowContrast: string;
        light: string;
    } | {
        darkMidContrast: any;
        lightMidContrast: any;
        darkLowContrast: string;
        dark: string;
        lightLowContrast: string;
        light: string;
    };
    gradients: {
        mars: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        venus: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        neptune: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        mercury: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        earth: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        uranus: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        jupiter: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        moon: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        saturn: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        pluto: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
    } | {
        mars: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        venus: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        neptune: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        mercury: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        earth: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        uranus: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        jupiter: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        moon: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        saturn: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
        pluto: {
            size: number;
            top: number;
            left: number;
            type: string;
            position: {
                "1": number;
                "2": number;
                "3": number;
            };
            color: {
                "1": string;
                "2": string;
                "3": string;
            };
        };
    };
    status1: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    status2: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    status3: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    status4: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
    status5: {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    } | {
        contrastText: string;
        main: string;
        contrast: string;
        dark: string;
        light: string;
        mainContent: string;
        status5Contrast: string;
        status5Background: string;
        status5Content: string;
        status4Contrast: string;
        status4Background: string;
        status4Content: string;
        status3Contrast: string;
        status3Background: string;
        status3Content: string;
        status2Contrast: string;
        status2Background: string;
        status2Content: string;
        status1Contrast: string;
        status1Background: string;
        status1Content: string;
        infoContrast: string;
        infoBackground: string;
        infoContent: string;
        errorContrast: string;
        errorBackground: string;
        errorContent: string;
        warningContrast: string;
        warningBackground: string;
        warningContent: string;
        successContrast: string;
        successBackground: string;
        successContent: string;
        disableText: string;
        disable: string;
        transparent: string;
        focus: string;
        press: string;
        hover: string;
        lowAccent: string;
        accent: string;
        additional: string;
        lowContrast: string;
    };
};
type ThemePalette = typeof THEME_PALETTE_DARK;
type ThemePaletteTemp = Omit<ThemePalette, 'text' | 'lines' | 'static' | 'background'>;
type ThemeColorsGroup = typeof THEME_PALETTE_DARK.brand;
type ThemeColorKey = keyof ThemePalette;
type ThemeCommonColors = keyof typeof dark.color.common;
type ThemeColor = Exclude<ThemeColorKey, 'dionCommon' | 'lines' | 'text' | 'background'>;
type FontWeight = 'Bold' | 'Medium' | 'Book' | 'Light';
type FontWeights = Record<FontWeight, number>;
type FontWeightsByValue = Record<number, FontWeight>;
declare const FONT_WEIGHTS: FontWeights;
declare const FONT_WEIGHTS_BY_VALUE: FontWeightsByValue;
interface DionThemeVars {
    spacings: typeof dark.spacing;
    buttonGroup: typeof dark.buttonGroup;
    icon: typeof dark.icon;
    button: typeof dark.button;
    radius: typeof dark.radius;
    popup: typeof dark.popup;
    scroll: typeof dark.scroll;
    placeholder: typeof dark.placeholder;
    drawer: typeof dark.drawer;
    avatar: typeof dark.avatar;
    radio: typeof dark.radio;
    input: typeof dark.input;
}
declare module "@mui/material/styles" {
    interface Palette {
        [key: string]: Partial<ThemePalette[keyof ThemePaletteTemp]>;
    }
    interface PaletteColor {
        [key: string]: Partial<ThemeColorsGroup[keyof ThemeColorsGroup]>;
    }
    interface CssVarsThemeOptions extends DionThemeVars {
        typography: typeof TOKENS.typography & {
            fontFamily: string;
            allVariants: {
                fontFamily: string;
                textTransform: string;
            };
        };
    }
    interface Theme extends DionThemeVars {
    }
}
declare module '@mui/material/styles/createTypography' {
}
declare module "@mui/material/Typography" {
    interface TypographyPropsVariantOverrides extends TypographyVariantOverrides {
    }
}
declare const DION_SCROLLBAR: CSSProperties;
declare const THEME_VARS: CssVarsThemeOptions;
export declare const GLOBAL_STYLES_DARK: {
    html: {
        color: string;
    };
    body: {
        background: string;
    };
    ':root': {
        '--font-family': string;
    };
};
export declare const GLOBAL_STYLES_LIGHT: {
    html: {
        color: string;
    };
    body: {
        background: string;
    };
    ':root': {
        '--font-family': string;
    };
};
declare let THEME: Omit<import("@mui/material/styles").Theme, "palette" | "applyStyles"> & import("@mui/material/styles").CssVarsTheme;
declare const colorKeys: string[];
type Theme = typeof THEME;
type ColorKeys = Omit<keyof typeof colorKeys, keyof typeof Array>;
/**
 * Каждый вызов с аргументом перегенерирует и перекеширует тему.
 * Вызов без аргумента вернет последний закешированный вариант.
 * Чтобы получить исходную дефолтную тему, нужно вызвать со значением themeVars = true
 * По дефолту кастомная тема имеет меньший приоритет и все значения со сходными путями из дефолтной темы
 * перебьют значения в кастомной.
 * Чтобы повысить приоритет касмтонй темы используйте флаг forceCustomTheme = true
 * @param themeVars
 * @param forceCustomTheme
 */
export declare const getTheme: (themeVars: CssVarsThemeOptions | boolean, forceCustomTheme?: boolean) => Theme;
export default THEME;
export type { Theme, SupportedColorScheme, DionColorNames, DionColorGroups, DionColors, ThemeColor, ColorKeys, CssVarsThemeOptions, ThemeCommonColors };
export { THEME_VARS, FONT_WEIGHTS, FONT_WEIGHTS_BY_VALUE, DION_SCROLLBAR, colorKeys };
