declare const TOKEN_KEYS: {
    theme: {
        dark: {
            color: {
                brand: {
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    transparent: string;
                    hover: string;
                    press: string;
                    disable: string;
                    errorMain: string;
                };
                blueElevation1: {
                    main: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    status1: string;
                    status2: string;
                    status3: string;
                    status4: string;
                    status5: string;
                };
                blueElevation2: {
                    main: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    status1: string;
                    status2: string;
                    status3: string;
                    status4: string;
                    status5: string;
                };
                onBrand: {
                    main: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    transparent: string;
                };
                elevation0: {
                    main: string;
                    light: string;
                    dark: string;
                };
                elevation1: {
                    main: string;
                    light: string;
                    dark: string;
                };
                elevation2: {
                    main: string;
                    light: string;
                    dark: string;
                };
                elevation3: {
                    main: string;
                };
                transparent10: {
                    main: string;
                };
                staticBlack80: {
                    main: string;
                };
                staticBlack60: {
                    main: string;
                };
                lines: {
                    divider: string;
                    dividerBright: string;
                    border: string;
                    borderAccent: string;
                };
                static: {
                    light: string;
                    lightLowContrast: string;
                    dark: string;
                    darkLowContrast: string;
                };
                common: {
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    lowAccent: string;
                    hover: string;
                    press: string;
                    focus: string;
                    transparent: string;
                    disable: string;
                    disableText: string;
                    successContent: string;
                    successBackground: string;
                    successContrast: string;
                    warningContent: string;
                    warningBackground: string;
                    warningContrast: string;
                    errorContent: string;
                    errorBackground: string;
                    errorContrast: string;
                    infoContent: string;
                    infoBackground: string;
                    infoContrast: string;
                    status1Content: string;
                    status1Background: string;
                    status1Contrast: string;
                    status2Content: string;
                    status2Background: string;
                    status2Contrast: string;
                    status3Content: string;
                    status3Background: string;
                    status3Contrast: string;
                    status4Content: string;
                    status4Background: string;
                    status4Contrast: string;
                    status5Content: string;
                    status5Background: string;
                    status5Contrast: string;
                };
                gradients: {
                    mars: {
                        color: (string | null)[];
                    };
                    venus: {
                        color: (string | null)[];
                    };
                    neptune: {
                        color: (string | null)[];
                    };
                    mercury: {
                        color: (string | null)[];
                    };
                    earth: {
                        color: (string | null)[];
                    };
                    uranus: {
                        color: (string | null)[];
                    };
                    jupiter: {
                        color: (string | null)[];
                    };
                    moon: {
                        color: (string | null)[];
                    };
                    saturn: {
                        color: (string | null)[];
                    };
                    pluto: {
                        color: (string | null)[];
                    };
                };
                success: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                warning: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                error: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                info: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status1: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status2: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status3: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status4: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status5: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
            };
            radius: {
                xxs: string;
                xs: string;
                s: string;
                m: string;
                l: string;
                xl: string;
                xxl: string;
                xxxxxl: string;
            };
            avatar: {
                size: {
                    icon: {
                        xs: string;
                        s: string;
                        m: string;
                        l: string;
                        xl: string;
                        xxl: string;
                        xxxl: string;
                    };
                };
                controls: {
                    waiting: {
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        iconSize: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                    counter: {
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        radius: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                    online: {
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        iconSize: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                    close: {
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        iconSize: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                };
            };
            spacing: {
                general: {
                    xxs: string;
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                    xxl: string;
                    xxxl: string;
                    xxxxl: string;
                    xxxxxl: string;
                };
            };
            border: {
                xs: string;
                s: string;
                m: string;
                l: string;
                xl: string;
            };
            button: {
                spacing: {
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                };
                borderRadius: {
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                };
                size: {
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                    icon: {
                        xs: string;
                        s: string;
                        m: string;
                        l: string;
                        xl: string;
                    };
                };
            };
            buttonGroup: {
                spacing: {
                    m: string;
                };
            };
            drawer: {
                borderRadius: {
                    top: string;
                };
                spacing: {
                    margin: string;
                    titleBottomMargin: string;
                    subtitleTopMargin: string;
                    actionsTopMargin: string;
                    actionsBottomMargin: string;
                };
            };
            icon: {
                size: {
                    xxxxxs: string;
                    xxxxs: string;
                    xxxs: string;
                    xxs: string;
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                    xxl: string;
                    xxxl: string;
                    xxxxl: string;
                    xxxxxl: string;
                };
            };
            input: {
                padding: {
                    m: {
                        icon: string;
                        content: string;
                    };
                    l: {
                        icon: string;
                        content: string;
                    };
                };
                margin: {
                    m: {
                        top: string;
                        bottom: string;
                    };
                    l: {
                        top: string;
                        bottom: string;
                    };
                };
                borderRadius: {
                    m: string;
                    l: string;
                };
            };
            placeholder: {
                spacing: {
                    iconPaddingBottom: string;
                    titlePaddingBottom: string;
                    subtitlePaddingBottom: string;
                    buttonPaddingBottom: string;
                    contentHorizontalPadding: string;
                    paddingHMinPx: string;
                };
            };
            popup: {
                spacing: {
                    margin: string;
                    closeOffset: string;
                    titleBottomMargin: string;
                    subtitleTopMargin: string;
                    actionsTopMargin: string;
                };
            };
            scroll: {
                size: {
                    m: string;
                };
                spacing: {
                    sidePadding: string;
                };
            };
        };
        light: {
            color: {
                brand: {
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    transparent: string;
                    hover: string;
                    press: string;
                    disable: string;
                    errorMain: string;
                };
                blueElevation1: {
                    main: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    status1: string;
                    status2: string;
                    status3: string;
                    status4: string;
                    status5: string;
                };
                blueElevation2: {
                    main: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    status1: string;
                    status2: string;
                    status3: string;
                    status4: string;
                    status5: string;
                };
                onBrand: {
                    main: string;
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    transparent: string;
                };
                elevation0: {
                    main: string;
                    light: string;
                    dark: string;
                };
                elevation1: {
                    main: string;
                    light: string;
                    dark: string;
                };
                elevation2: {
                    main: string;
                    light: string;
                    dark: string;
                };
                elevation3: {
                    main: string;
                };
                transparent10: {
                    main: string;
                };
                staticBlack80: {
                    main: string;
                };
                staticBlack60: {
                    main: string;
                };
                lines: {
                    divider: string;
                    dividerBright: string;
                    border: string;
                    borderAccent: string;
                };
                static: {
                    light: string;
                    lightLowContrast: string;
                    dark: string;
                    darkLowContrast: string;
                };
                common: {
                    contrast: string;
                    lowContrast: string;
                    additional: string;
                    accent: string;
                    lowAccent: string;
                    hover: string;
                    press: string;
                    focus: string;
                    transparent: string;
                    disable: string;
                    disableText: string;
                    successContent: string;
                    successBackground: string;
                    successContrast: string;
                    warningContent: string;
                    warningBackground: string;
                    warningContrast: string;
                    errorContent: string;
                    errorBackground: string;
                    errorContrast: string;
                    infoContent: string;
                    infoBackground: string;
                    infoContrast: string;
                    status1Content: string;
                    status1Background: string;
                    status1Contrast: string;
                    status2Content: string;
                    status2Background: string;
                    status2Contrast: string;
                    status3Content: string;
                    status3Background: string;
                    status3Contrast: string;
                    status4Content: string;
                    status4Background: string;
                    status4Contrast: string;
                    status5Content: string;
                    status5Background: string;
                    status5Contrast: string;
                };
                gradients: {
                    mars: {
                        color: (string | null)[];
                    };
                    venus: {
                        color: (string | null)[];
                    };
                    neptune: {
                        color: (string | null)[];
                    };
                    mercury: {
                        color: (string | null)[];
                    };
                    earth: {
                        color: (string | null)[];
                    };
                    uranus: {
                        color: (string | null)[];
                    };
                    jupiter: {
                        color: (string | null)[];
                    };
                    moon: {
                        color: (string | null)[];
                    };
                    saturn: {
                        color: (string | null)[];
                    };
                    pluto: {
                        color: (string | null)[];
                    };
                };
                success: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                warning: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                error: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                info: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status1: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status2: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status3: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status4: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
                status5: {
                    mainContent: string;
                    main: string;
                    light: string;
                    dark: string;
                    contrast: string;
                };
            };
            radius: {
                xxs: string;
                xs: string;
                s: string;
                m: string;
                l: string;
                xl: string;
                xxl: string;
                xxxxxl: string;
            };
            avatar: {
                size: {
                    icon: {
                        xs: string;
                        s: string;
                        m: string;
                        l: string;
                        xl: string;
                        xxl: string;
                        xxxl: string;
                    };
                };
                controls: {
                    waiting: {
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        iconSize: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                    counter: {
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        radius: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                    online: {
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        iconSize: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                    close: {
                        border: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        size: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                        iconSize: {
                            xs: string;
                            s: string;
                            m: string;
                            l: string;
                            xl: string;
                            xxl: string;
                            xxxl: string;
                        };
                    };
                };
            };
            spacing: {
                general: {
                    xxs: string;
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                    xxl: string;
                    xxxl: string;
                    xxxxl: string;
                    xxxxxl: string;
                };
            };
            border: {
                xs: string;
                s: string;
                m: string;
                l: string;
                xl: string;
            };
            button: {
                spacing: {
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                };
                borderRadius: {
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                };
                size: {
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                    icon: {
                        xs: string;
                        s: string;
                        m: string;
                        l: string;
                        xl: string;
                    };
                };
            };
            buttonGroup: {
                spacing: {
                    m: string;
                };
            };
            drawer: {
                borderRadius: {
                    top: string;
                };
                spacing: {
                    margin: string;
                    titleBottomMargin: string;
                    subtitleTopMargin: string;
                    actionsTopMargin: string;
                    actionsBottomMargin: string;
                };
            };
            icon: {
                size: {
                    xxxxxs: string;
                    xxxxs: string;
                    xxxs: string;
                    xxs: string;
                    xs: string;
                    s: string;
                    m: string;
                    l: string;
                    xl: string;
                    xxl: string;
                    xxxl: string;
                    xxxxl: string;
                    xxxxxl: string;
                };
            };
            input: {
                padding: {
                    m: {
                        icon: string;
                        content: string;
                    };
                    l: {
                        icon: string;
                        content: string;
                    };
                };
                margin: {
                    m: {
                        top: string;
                        bottom: string;
                    };
                    l: {
                        top: string;
                        bottom: string;
                    };
                };
                borderRadius: {
                    m: string;
                    l: string;
                };
            };
            placeholder: {
                spacing: {
                    iconPaddingBottom: string;
                    titlePaddingBottom: string;
                    subtitlePaddingBottom: string;
                    buttonPaddingBottom: string;
                    contentHorizontalPadding: string;
                    paddingHMinPx: string;
                };
            };
            popup: {
                spacing: {
                    margin: string;
                    closeOffset: string;
                    titleBottomMargin: string;
                    subtitleTopMargin: string;
                    actionsTopMargin: string;
                };
            };
            scroll: {
                size: {
                    m: string;
                };
                spacing: {
                    sidePadding: string;
                };
            };
        };
    };
};
export default TOKEN_KEYS;
